%define dictname gcide
%define dictdesc GCIDE - The Collaborative International Dictionary of English 
%define dictdir %_datadir/dictd

Name: dict-%dictname
Version: 0.48
Release: alt2

Summary: GCIDE - The Collaborative International Dictionary of English 

License: GPL
Group: Text tools
#Group: Applications/Dictionaries
Url: http://www.ibiblio.org/webster/GNU_dictionary_project.html

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.gnu.org/gnu/gcide/%name-%version.tar.bz2
Patch: %name-%version.debian.diff.gz
Patch1: %name-%version.patch

BuildArchitectures: noarch

# Please do not use buildreq
BuildPreReq: flex dict-tools stardict-tools

%description
A Comprehensive English Dictionary
 
This package contains the GNU version of the Collaborative
International Dictionary of English, formatted for use by the
dictionary server in the dictd package.  The GCIDE contains the
full text of the 1913 Webster's Unabridged Dictionary, supplemented by
many definitions from WordNet, the Century Dictionary, 1906, and many
additional definitions contributed by volunteers.
 
The definitions in the core of this dictionary are at least 85 years
old, so they can not be expected to be politically correct by
contemporary standards, and no attempt has been, or will be, made to
make them so.

%package -n stardict-%name
Summary:	GCIDE - The Collaborative International Dictionary of English
#Group:		Applications/Dictionaries
Group: Text tools

%description -n stardict-%name
A Comprehensive English Dictionary for stardict

This package contains the GNU version of the Collaborative
International Dictionary of English, formatted for use by the
dictionary server in the dictd package.  The GCIDE contains the
full text of the 1913 Webster's Unabridged Dictionary, supplemented by
many definitions from WordNet, the Century Dictionary, 1906, and many
additional definitions contributed by volunteers.

The definitions in the core of this dictionary are at least 85 years
old, so they can not be expected to be politically correct by
contemporary standards, and no attempt has been, or will be, made to
make them so.

%prep
%setup -q
%patch1 -p0

%build
%configure 

%make
# without zipping here
%make DICTZIP=cat db

# prepare stardict

# dictd to stardict conversion
word=`dictd2dic %dictname | grep wordcount | cut -d " " -f 2`
size=`zcat dict*%dictname.idx.gz | wc -c`

cat << EOF > %dictname.ifo
StarDict's dict ifo file
version=2.4.2
wordcount=$word
website=ftp://ftp.gnu.org/gnu/gcide
date=%version
idxfilesize=$size
bookname=%dictname
description=%dictdesc
sametypesequence=m
EOF

# compress dict file
dictzip %dictname.dict

%install
%__install -d $RPM_BUILD_ROOT/{%_sysconfdir/dictd,%dictdir}
%makeinstall dictdir=$RPM_BUILD_ROOT/%dictdir

echo "# %dictdesc
database %dictname {
	data  \"%dictdir/%dictname.dict.dz\"
	index \"%dictdir/%dictname.index\"
}" > $RPM_BUILD_ROOT%_sysconfdir/dictd/%dictname.dictconf

# stardict
%__install -d $RPM_BUILD_ROOT/%_datadir/stardict/dic

%__install -m 644 dict*%dictname.dict.dz $RPM_BUILD_ROOT/%_datadir/stardict/dic/%dictname.dict.dz
%__install -m 644 dict*%dictname.idx.gz $RPM_BUILD_ROOT/%_datadir/stardict/dic/%dictname.idx.gz
%__install -m 644 %dictname.ifo $RPM_BUILD_ROOT/%_datadir/stardict/dic/%dictname.ifo

%post
/usr/sbin/dictdconfig -w
%_initdir/dictd condreload

%postun
/usr/sbin/dictdconfig -w
%_initdir/dictd condreload

%files
%_sysconfdir/dictd/%dictname.dictconf
%dictdir/%dictname.*

%files -n stardict-%name
%_datadir/stardict/dic/*

%changelog
* Thu Jan 27 2005 Vitaly Lipatov <lav@altlinux.ru> 0.48-alt2
- rebuild with gcc3.4
- enable stardict package

* Tue Jun 15 2004 Vitaly Lipatov <lav@altlinux.ru> 0.48-alt1.1
- fix output package name

* Tue Jun 15 2004 Vitaly Lipatov <lav@altlinux.ru> 0.48-alt1
- first build for Sisyphus (without stardict)

